# ImageFilter class

A filter operation to apply to a raster image.

See also:

- `BackdropFilter`, a widget that applies ImageFilter to its rendering.
- SceneBuilder.pushBackdropFilter, which is the low-level API for using this class.

## Constructors

ImageFilter.blur({double sigmaX: 0.0, double sigmaY: 0.0 })
  Creates an image filter that applies a Gaussian blur.
ImageFilter.matrix(Float64List matrix4, { FilterQuality filterQuality: FilterQuality.low })
  Creates an image filter that applies a matrix transformation. [...]

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited